<?php

// start autentificare
if($_POST['autentificare']) {

$nume_utilizator = $_POST['nume_utilizator'];
$parola = md5($_POST['parola']);
$cod_securitate = md5($_POST['cod_securitate']);

// $nume_utilizator_md5 = 'afbdf48e00461b8baeef676f5af5c879';
// $parola_md5 = '7c46272901a931c3ca92e1095cffb586';
$cod_securitate_md5 = 'd3d9446802a44259755d38e6d163e820';

$useri = mysql_query("SELECT * FROM `utilizatori` where utilizator = '".$nume_utilizator."'") or die(mysql_error());
	$rows_usr = mysql_num_rows($useri);
	//echo $rows_usr;
	while($user = mysql_fetch_row($useri)){
	
if ($nume_utilizator != $user['1'] ){
		echo '<div style="text-align: center; color: red;">
			<b>Nume Utilizator incorect.</b><br />
		</div>';
	}
if ($parola != $user['5']){
		echo '<div style="text-align: center; color: red;">
				<b>Parola incorecta.</b><br />
			</div>';
	}
if ($cod_securitate != $cod_securitate_md5 ){
		echo '<div style="text-align: center; color: red;">
				<b>Cod de securitate incorect.</b><br />
			</div>';
	}
echo '<div style="text-align: center; color: red;">
			<br />  
		Va rugam completati campurile cu atentie.<br />
		Toate campurile sunt obligatorii
	</div>';
if(($nume_utilizator == $user['1'] ) and ($parola == $user['5'] ) and ($cod_securitate == $cod_securitate_md5 )){
	
    $_SESSION['logat'] = 'Da';
	$_SESSION['nume_utilizator'] = $user['5'];
	$_SESSION['nume'] = $user['2'];
	$_SESSION['prenume'] = $user['3'];
	$_SESSION['nume_magazin'] = $user['8'];

   // echo '<META HTTP-EQUIV=Refresh CONTENT="0; URL=index.php">';
    //echo "<script>alert('Autentificare realizata cu SUCCES')</script>";
    echo "<script>location.replace('index.php?pag=logat')</script>";
		// }else{
			// echo "<script>alert('Autentificare ESUATA')</script>";
			// echo "<script>location.replace('index.php?pag=autentificare')</script>";
		}
	}  
}
//$_SESSION['logat'] = 'Da';
echo '
<br /><br /><br /><br />
<TABLE width="60%" align="center" border="0">
	<form action="" method="post">
		<TR>
			<TD height="100px" align="center" colspan="2">Pentru acces este nevoie de autentificare.<br />Va rugam introduceti corect datele in campurile de mai jos</TD>
		</TR>
		<TR>
			<TD width="40%" align="right">Nume utilizator :</TD>
			<TD align="left"><input id="campdreapta" type="text" name="nume_utilizator"></TD>
		</TR>
		<TR>
			<TD align="right">Parola :</TD>
			<TD align="left"><input id="campdreapta" type="password" name="parola"></TD>
		</TR>
		<TR>
			<TD align="right">6+4=</TD>			
			<TD align="left"><input id="codsecuritate" type="text" name="cod_securitate" value=""></TD>
		</TR>
		<TR>
			<TD align="center" colspan="2">Toate campurile sunt obligatorii</TD>
		</TR>
		<TR>
			<TD align="center" colspan="2">
				<input id="butonsubmit" type="submit" name="autentificare" value="Autentificare">
			</TD>
		</TR>
	</form>
</TABLE>';

?>